#!/bin/csh
#
# pwd = /home/flex2/garetha/analysis/coherence/East_USA/
#
#  x-origin of master grids = 798 =>800
#  y-origin of master grids = 3198 =>3200
#
#  area I am interested in is 1000 - 1800 km East
#                             3200 - 4500 km North
#
#  6km spacing in master grids => 504x504km analysis requires
#  that part.com to be something like the following
#  30,114
#  30,114
#  1
#
#  will set boxes to have 60km overlap
#
set com_file_dir = "/home/flex2/garetha/analysis/coherence/East_USA/coherence_com_files"
chmod ug+x $com_file_dir/vmcsh
#
set xmins = "2 12 22 32 42 52 62 72 82 92 102"
set xmaxs = "86 96 106 116 126 136 146 156 166 176 186"
set ymins = "5 15 25 35 45 55 65 75 85 95 105 115 125 135 145 155"
set ymaxs = "89 99 109 119 129 139 149 159 169 179 189 199 209 219 229 239"

foreach xmin ($xmins)
foreach xmax ($xmaxs)
foreach ymin ($ymins)
foreach ymax ($ymaxs)

if (($xmax == $xmin + 84) && ($ymax == $ymin + 84)) then

mkdir -p 500x500km_lon90-75w_lat30-50n/area_partfile_$xmin-$xmax-$ymin-$ymax/
cp bartgrd.add barbgrd.add 500x500km_lon90-75w_lat30-50n/area_partfile_$xmin-$xmax-$ymin-$ymax/
cp $com_file_dir/*.com $com_file_dir/vmcsh 500x500km_lon90-75w_lat30-50n/area_partfile_$xmin-$xmax-$ymin-$ymax/
cp $com_file_dir/modpar3.com 500x500km_lon90-75w_lat30-50n/area_partfile_$xmin-$xmax-$ymin-$ymax/modpar.com
cd 500x500km_lon90-75w_lat30-50n/area_partfile_$xmin-$xmax-$ymin-$ymax/

echo $xmin, $xmax > part.com
echo $ymin, $ymax >> part.com
echo 1 >> part.com
echo 0  >> part.com
echo 0 >> part.com
gawk '$1 != 0  {print $0}; $1 == 0  {print " "}' part.com > tmp   
rm part.com
mv tmp part.com
cd ../..   
endif

end
end
end
end

