c addamp.f **** version: 04 August 2001 *****************************
c Adds load amplitudes from split oceanic and land gravity and
c topography data that have been deconvolved separately in cploads.f.
c
ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
c
c  Modified by Gareth Armstrong, Dept. Earth Sciences, Uni. Oxford,
c  on 17/2/99 to use the Salford 
c  ftn77 compiler call to COMMAND_LINE to read in command line arguments 
c  similar to the f77 compiler call to getarg when being used on the PC
c  Comment or uncomment relevant calls as required.
c  Changed Units numbers to be above 12 and made array size adjustable 
c
ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
c********************* main program *********************************
      implicit none
      include 'coheren.inc'
c
c Local variables
c
      character addfile*20,lanfile*20,ocefile*20,card*50
      real*8 alatmn,alatmx,alonmn,alonmx,rl(2),spac,theta
      complex*16 data(ncmax),datl(ncmax),dato(ncmax)
      integer i,ident,ilat0,ilon0,j,nc,nr
c
      call getarg(1,lanfile)
      call getarg(2,ocefile)
      call getarg(3,addfile)
c
c ------------------------------------------------------------------
c  SALFORD FTN77 COMPILER COMMAND LINE read SUBROUNTINE call SIMILAR
c     TO F77 call TO getarg but for use on PC
c
c  modified by Gareth Armstrong 3/11/96
c-------------------------------------------------------------------
c
c      call COMMAND_LINE(card)
c      read(card,*)lanfile,ocefile,addfile
c
      open(13,file=lanfile,form='unformatted',status='old')
      rewind(13)
      open(14,file=ocefile,form='unformatted',status='old')
      rewind(14)
      open(15,file=addfile,form='unformatted',status='unknown')
      rewind(15)
      read(13)ident,ilon0,ilat0,spac,theta
      read(14)ident,ilon0,ilat0,spac,theta
      write(15)ident,ilon0,ilat0,spac,theta
      read(13)nc,nr,rl(2),rl(1)
      read(14)nc,nr,rl(2),rl(1)
      write(15)nc,nr,rl(2),rl(1)
      read(13)alonmn,alonmx,alatmn,alatmx
      read(14)alonmn,alonmx,alatmn,alatmx
      write(15)alonmn,alonmx,alatmn,alatmx
      do j=1,nr
        read(13)(datl(i),i=1,nc)
        read(14)(dato(i),i=1,nc)
        do i=1,nc
          data(i)=datl(i)+dato(i)
        enddo
        write(15)(data(i),i=1,nc)
      enddo
      end
